local _addon = WYK_Toolbar

_addon.Feature.Toolbar.GetUnit_Name = function() 
	return "|cC0A27F"..GetUnitName("player").."|r", {215/255,213/255,205/255,.85} 
end

_addon.Feature.Toolbar.GetUnit_Race = function() 
	return "|cC0A27F"..GetUnitRace("player").."|r", {215/255,213/255,205/255,.85} 
end

_addon.Feature.Toolbar.GetUnit_Class = function() 
	return "|cC0A27F"..GetUnitClass("player").."|r", {215/255,213/255,205/255,.85} 
end

_addon.Feature.Toolbar.GetUnit_Level = function() 
	local useTitle, title = _addon:GetOrDefault( false, _addon.Settings["level_title"]), _addon._DefaultLabelColor .. "Level:|r "
	if not useTitle then title = "" end
	local lvl, vet, c = GetUnitLevel("player"), GetUnitVeteranRank("player"), {215/255,213/255,205/255,.85}
	if lvl == 50 then lvl = "|cC9BC0Fv|r"..vet; c = {1,1,.76,.85} end
	return title..lvl, c
end